> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cuuro.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Target Companies



## OpenAPI

````yaml get /target-companies
openapi: 3.0.0
info:
  title: Cuuro external api service
  description: The external api service for cuuro
  version: '1.0'
  contact: {}
servers: []
security: []
tags:
  - name: cuuro
    description: ''
paths:
  /target-companies:
    get:
      tags:
        - target-companies
      operationId: TargetCompaniesController_getTargetCompanies
      parameters: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetTargetCompanyResponse'
      security:
        - bearer: []
components:
  schemas:
    GetTargetCompanyResponse:
      type: object
      properties:
        message:
          type: string
        data:
          type: array
          items:
            $ref: '#/components/schemas/TargetCompany'
      required:
        - message
        - data
    TargetCompany:
      type: object
      properties:
        id:
          type: string
          description: The id of the created target company
        isPortfolio:
          type: boolean
          description: Is the company in the portfolio
        isTarget:
          type: boolean
          description: Is the company a target
        createdAt:
          type: string
          description: The date the company was created
        updatedAt:
          type: string
          description: The date the company was last updated
        investorId:
          type: string
      required:
        - id
        - isPortfolio
        - isTarget
        - createdAt
        - updatedAt
        - investorId
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````